
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

arch/mips/Kconfig is defining CONFIG_FB as bool and drivers/video/Kconfig
was changed a while ago to define it as tristate.  Remove the MIPS
definition.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/mips/Kconfig     |   35 -----------------------------------
 drivers/video/Kconfig |    4 ++--
 2 files changed, 2 insertions(+), 37 deletions(-)

diff -puN arch/mips/Kconfig~mips-fbdev-kconfig-fix arch/mips/Kconfig
--- devel/arch/mips/Kconfig~mips-fbdev-kconfig-fix	2005-07-26 00:37:34.000000000 -0700
+++ devel-akpm/arch/mips/Kconfig	2005-07-26 00:37:34.000000000 -0700
@@ -1088,41 +1088,6 @@ config ARC32
 	depends on MACH_JAZZ || SNI_RM200_PCI || SGI_IP22 || SGI_IP32
 	default y
 
-config FB
-	bool
-	depends on MIPS_MAGNUM_4000 || OLIVETTI_M700
-	default y
-	---help---
-	  The frame buffer device provides an abstraction for the graphics
-	  hardware. It represents the frame buffer of some video hardware and
-	  allows application software to access the graphics hardware through
-	  a well-defined interface, so the software doesn't need to know
-	  anything about the low-level (hardware register) stuff.
-
-	  Frame buffer devices work identically across the different
-	  architectures supported by Linux and make the implementation of
-	  application programs easier and more portable; at this point, an X
-	  server exists which uses the frame buffer device exclusively.
-	  On several non-X86 architectures, the frame buffer device is the
-	  only way to use the graphics hardware.
-
-	  The device is accessed through special device nodes, usually located
-	  in the /dev directory, i.e. /dev/fb*.
-
-	  You need an utility program called fbset to make full use of frame
-	  buffer devices. Please read <file:Documentation/fb/framebuffer.txt>
-	  and the Framebuffer-HOWTO at <http://www.tldp.org/docs.html#howto>
-	  for more information.
-
-	  Say Y here and to the driver for your graphics board below if you
-	  are compiling a kernel for a non-x86 architecture.
-
-	  If you are compiling for the x86 architecture, you can say Y if you
-	  want to play with it, but it is not essential. Please note that
-	  running graphical applications that directly touch the hardware
-	  (e.g. an accelerated X server) and that are not frame buffer
-	  device-aware may cause unexpected results. If unsure, say N.
-
 config HAVE_STD_PC_SERIAL_PORT
 	bool
 
diff -puN drivers/video/Kconfig~mips-fbdev-kconfig-fix drivers/video/Kconfig
--- devel/drivers/video/Kconfig~mips-fbdev-kconfig-fix	2005-07-26 00:37:34.000000000 -0700
+++ devel-akpm/drivers/video/Kconfig	2005-07-26 00:37:34.000000000 -0700
@@ -1399,8 +1399,8 @@ config FB_TX3912
 	  Say Y here to enable kernel support for the on-board framebuffer.
 
 config FB_G364
-	bool
-	depends on MIPS_MAGNUM_4000 || OLIVETTI_M700
+	bool "G364 frame buffer support"
+	depends on (FB = y) && (MIPS_MAGNUM_4000 || OLIVETTI_M700)
  	select FB_CFB_FILLRECT
  	select FB_CFB_COPYAREA
  	select FB_CFB_IMAGEBLIT
_
